GET /v2.0/data/geopoliticalunits
neotomadb.org:neotoma-database-api
Summary: Returns information about geopolitical units.
Operation ID: —
Auth: unknown
Operation ID: —
Auth: unknown
Parameters (4)
gpid
(integer, query, optional)
Numeric ID for the geopolitical unit from the Neotoma geopoliticalunits table.
Constraints: {'minimum': 1, 'maximum': 11000}
gpname
(string, query, optional)
Name for a geopolitical unit.
lower
(boolean, query, optional, default: False)
Should all lower ranked units below the target unit be returned?
rank
(integer, query, optional)
The unit rank. Ranges from 1 (country) - 4 (e.g., parks).
Constraints: {'minimum': 1, 'maximum': 4}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get geopolitical unit by ID | curl |
https://api.neotomadb.org/v2.0/data/geopoliticalunits?gpid=1 |
|
| Search by country name | curl |
https://api.neotomadb.org/v2.0/data/geopoliticalunits?gpname=United%20States |
|
| Get all countries with sub-units | curl |
https://api.neotomadb.org/v2.0/data/geopoliticalunits?rank=1&lower=true |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:48:21.130508 | 200 | 562ms | |
| 2026-03-23 09:26:22.073239 | 200 | 548ms | |
| 2026-03-23 06:16:08.953847 | 200 | 570ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:26:22.073239 | b6ef81ee3778 |
9566db08a367 |
| 2026-03-23 09:48:21.130508 | 9566db08a367 |
72f657a6d51f |